Skip to main content
PUT
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
translations
/
{translation_id}
Error
A valid request URL is required to generate request examples
{
  "language_code": "<string>",
  "parent_ref": "<string>",
  "translation": "<string>",
  "id": "<string>"
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

translation_id
string
required

translation uuid

Body

application/json

Translation data

field_type
enum<string>
required
Available options:
name,
value,
description,
alt,
title,
type,
copyright,
slug,
meta_title,
meta_description,
html_description,
short_description,
html_short_description,
key
language_code
string
required

Locale code like "en" or "en-gb". The locale also needs to be configured and supported by the app.

parent_ref
string
required
translation
string
required
create_slug
boolean

if this is true and with the fieldType: name, it will generate a slug. Only available to products as of now.

parent_type
enum<string>
Available options:
product,
product_bundle,
product_variant,
image,
attribute,
attribute_value,
category,
tag,
collection,
file,
bundle_group,
video,
brand,
variant_group,
channel_content

Response

Translation updates successfully

field_type
enum<string>
required
Available options:
name,
value,
description,
alt,
title,
type,
copyright,
slug,
meta_title,
meta_description,
html_description,
short_description,
html_short_description,
key
language_code
string
required
parent_ref
string
required
parent_type
enum<string>
required
Available options:
product,
product_bundle,
product_variant,
channel_content,
image,
attribute,
attribute_value,
category,
tag,
collection,
file,
bundle_group,
video,
brand,
variant_group
translation
string
required
id
string